## nom.tam.fits
Class AsciiTableHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.ExtensionHDU
              nom.tam.fits.TableHDU
                  nom.tam.fits.AsciiTableHDU

public class AsciiTableHDU
extends TableHDU

FITS ASCII table header/data unit ASCII tables are not currently suppoted.

Field Summary

Fields inherited from class nom.tam.fits.TableHDU
`columnStrings`

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`AsciiTableHDU(Header header)` Create an ascii table header/data unit.

Method Summary
`void` `info()` Print out some information about this HDU.
`boolean` `isHeader()` Check that this HDU has a valid header.
`static boolean` `isHeader(Header header)` Check that this is a valid ascii table header.
`(package private) Data` `manufactureData()` Create a Data object to correspond to the header description.
`void` `readData(BufferedDataInputStream stream)` Skip the ASCII table and throw an exception.

Methods inherited from class nom.tam.fits.TableHDU
`addColumnString, setLastMark`

Methods inherited from class nom.tam.fits.ExtensionHDU
`getExtensionLevel, getExtensionName, getExtensionType, getExtensionVersion`

Methods inherited from class nom.tam.fits.BasicHDU
`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsciiTableHDU

    public AsciiTableHDU(Header header)
                  throws FitsException

  Create an ascii table header/data unit.

Parameters:
  `header` - the template specifying the ascii table.
Throws:
  `FitsException` - if there was a problem with the header.

Method Detail

### isHeader

    public static boolean isHeader(Header header)

  Check that this is a valid ascii table header.

  Parameters:
    `header` - to validate.
  Returns:
    `true` if this is an ascii table header.

### isHeader

    public boolean isHeader()

  Check that this HDU has a valid header.

  Returns:
    `true` if this HDU has a valid header.

### manufactureData

    Data manufactureData()
                   throws FitsException

  Create a Data object to correspond to the header description.

  Specified by:
    `manufactureData` in class `BasicHDU`
  Returns:
    An unfilled Data object which can be used to read in the data for this HDU.
  Throws:
    `FitsException` - if the Data object could not be created from this HDU's Header

### readData

    public void readData(BufferedDataInputStream stream)
                  throws FitsException

  Skip the ASCII table and throw an exception.

  Overrides:
    `readData` in class `BasicHDU`
  Parameters:
    `stream` - the stream from which the data is read.
  Returns:
    nothing since an exception is always thrown.
  Throws:
    `FitsException` - because ASCII tables are not yet supported.

### info

    public void info()

  Description copied from class: `BasicHDU`
  Print out some information about this HDU.

  Specified by:
    `info` in class `BasicHDU`